from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("shipment", "0011_alter_shipment_status_choices"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.RemoveField(
            model_name="shipment",
            name="cancelled_at",
        ),
        migrations.AddField(
            model_name="shipment",
            name="approved_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="approved_shipments",
                to=settings.AUTH_USER_MODEL,
                verbose_name="审核人",
            ),
        ),
        migrations.AddField(
            model_name="shipment",
            name="status_modified_at",
            field=models.DateTimeField(blank=True, null=True, verbose_name="状态修改时间"),
        ),
    ]
